﻿/// <reference path="/resources/JQuery/jquery-1.7-vsdoc.js" />

function proget_viewservers(o) {
    /// <param name="o" value="{ajaxUpdateUrl:'',containerId:'',reorderEnvironmentUrl:''}"/>

    var interval = setInterval(
        function () {
            $.ajax(o.ajaxUpdateUrl,
            {
                type: 'post',
                cache: 'false',
                dataType: 'json'
            }).done(function (data) {
                for (var i = 0; i < data.servers.length; i++) {
                    $('.ctlServer_id' + data.servers[i].serverId + ' img').attr('src', data.servers[i].imgUrl);
                    $('.ctlServer_id' + data.servers[i].serverId + ' span').text(data.servers[i].desc);
                }
            });
        },
        1000
    );

    $('#' + o.containerId).sortable(
        {
            handle: '.move',
            update: function (event, ui) {
                var $li = $(ui.item);
                var id = $li.data('environmentid');
                var seq = $li.index() + 1;
                $.post(o.reorderEnvironmentUrl, { environmentId: id, environmentSequence: seq }).fail(function (jqXHR) {
                    alert('An unexpected error occurred: ' + jqXHR.responseText);
                });
            }
        });
}